## net.i2p.router
Class UpdateRoutingKeyModifierJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.UpdateRoutingKeyModifierJob

All Implemented Interfaces:
  Job

     class UpdateRoutingKeyModifierJob

extends JobImpl

Update the routing Key modifier every day at midnight (plus on startup). This is done here because we want to make sure the key is updated before anyone uses it.

Constructor Summary
`UpdateRoutingKeyModifierJob(RouterContext ctx)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`addedToQueue, dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateRoutingKeyModifierJob

    public UpdateRoutingKeyModifierJob(RouterContext ctx)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.